messages.setBotShippingResults
If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the bot will receive an RawUpdateBotShippingQuery update. Use this method to reply to shipping queries.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the bot will receive an RawUpdateBotShippingQuery update. Use this method to reply to shipping queries.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.setBotShippingResults" \ -H "Content-Type: application/json" \ -d '{ "params": { "queryId": "string" } }'{ "result": true}setBotPrecheckoutResults
Once the user has confirmed their payment and shipping details, the bot receives an `RawUpdateBotPrecheckoutQuery` update. Use this method to respond to such pre-checkout queries. Note: Telegram must receive an answer within 10 seconds after the pre-checkout query was sent.
setChatAvailableReactions
Change the set of [message reactions »](https://core.telegram.org/api/reactions) that can be used in a certain group, supergroup or channel